OGRE-Next: Ogre::D3D11VendorExtension Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
Ogre::D3D11VendorExtension Class Reference

`#include <OgreD3D11VendorExtension.h>`

Inheritance diagram for Ogre::D3D11VendorExtension:
[legend]

## Public Member Functions
| D3D11VendorExtension ()
virtual | ~D3D11VendorExtension ()
void | createDevice (const String &appName, IDXGIAdapter *adapter, D3D_DRIVER_TYPE driverType, UINT deviceFlags, D3D_FEATURE_LEVEL *pFirstFL, UINT numFeatureLevels, D3D_FEATURE_LEVEL *outFeatureLevel, ID3D11Device **outDevice)
virtual void | destroyDevice (ID3D11Device *device)

## Static Public Member Functions
static D3D11VendorExtension * | initializeExtension (GPUVendor preferredVendor, IDXGIAdapter *adapter)

## Constructor & Destructor Documentation

## ◆ D3D11VendorExtension()

Ogre::D3D11VendorExtension::D3D11VendorExtension | ( |  | ) |

Referenced by initializeExtension().

## ◆ ~D3D11VendorExtension()

virtual Ogre::D3D11VendorExtension::~D3D11VendorExtension | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ createDevice()

void Ogre::D3D11VendorExtension::createDevice | ( | const String & | appName,
|  | IDXGIAdapter * | adapter,
|  | D3D_DRIVER_TYPE | driverType,
|  | UINT | deviceFlags,
|  | D3D_FEATURE_LEVEL * | pFirstFL,
|  | UINT | numFeatureLevels,
|  | D3D_FEATURE_LEVEL * | outFeatureLevel,
|  | ID3D11Device ** | outDevice )

## ◆ destroyDevice()

virtual void Ogre::D3D11VendorExtension::destroyDevice | ( | ID3D11Device * | device | ) |
| virtual

Reimplemented in Ogre::D3D11AmdExtension.

## ◆ initializeExtension()

static D3D11VendorExtension * Ogre::D3D11VendorExtension::initializeExtension | ( | GPUVendor | preferredVendor,
|  | IDXGIAdapter * | adapter )
| static

Parameters

  preferredVendor | Use GPU_UNKNOWN to determined automatically Use GPU_VENDOR_COUNT to force-disable vendor extensions (i.e. raw D3D11 API) The rest will force a particular GPU vendor extension
  adapter | The adapter to render to, in order to see which vendor extension to prefer in case there's multiple vendor GPUs in the same machine

Returns

References D3D11VendorExtension().

The documentation for this class was generated from the following file:

- OgreD3D11VendorExtension.h